Bug 497614 - Review Request: icoutils - Utility for extracting and converting Microsoft icon and cursor files
Review Request: icoutils - Utility for extracting and converting Microsoft ic...
Status: CLOSED DUPLICATE of bug 517615
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 00:51 EDT by Eric Moret
Modified: 2009-08-15 02:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-15 02:45:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2009-04-25 00:51:49 EDT
Spec URL: ftp://ftp.zouric.com/public/linux/icoutils/icoutils.spec
SRPM URL: ftp://ftp.zouric.com/public/linux/icoutils/icoutils-0.26.0-1.fc10.src.rpm
Description:
The icoutils are a set of programs for extracting and converting images in
Microsoft Windows icon and cursor files. These files usually have the
extension .ico or .cur, but they can also be embedded in executables or
libraries.
Comment 1 Susi Lehtola 2009-05-25 16:22:17 EDT
(Upstream) URL doesn't work.
Comment 2 Eric Moret 2009-05-25 22:14:04 EDT
Fixed in spec
Comment 3 Jason Tibbitts 2009-07-11 03:33:18 EDT
This fails to build for me in rawhide on x86_64:

checking for png_create_read_struct in -lpng... no
checking for png_create_read_struct in -lpng10... no
checking for png_create_read_struct in -lpng12... no
configure: error: cannot find required library png

A missing build dependency, perhaps?
Comment 4 Jason Tibbitts 2009-07-11 03:33:59 EDT
Sorry, I also note that 0.27 seems to be out as well.
Comment 5 Martin Gieseking 2009-08-14 16:29:19 EDT
Spec URL: http://mgieseki.fedorapeople.org/icoutils/icoutils.spec
SRPM URL: http://mgieseki.fedorapeople.org/icoutils/icoutils-0.27.0-1.fc11.src.rpm

I've updated the package to the latest upstream release and fixed a build error occurred on ppc architectures. Eric, if you're no longer interested in maintaining this package, I could take it over.

koji scratch build is successful:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1606341

rpmlint output is clean.
Comment 6 Eric Moret 2009-08-14 16:44:54 EDT
Feel free to take it over. In the mean time and for what it's worth I found out that Alchemy could do the same icon extracting job as icoutils.
Comment 7 Jason Tibbitts 2009-08-14 17:45:15 EDT
Martin, if you want to submit this, please open your own review ticket and close this one as a duplicate.
Comment 8 Martin Gieseking 2009-08-15 02:45:08 EDT
Eric and Jason, thanks for your comments. I've opened a new ticket for this package.

*** This bug has been marked as a duplicate of bug 517615 ***

Note You need to log in before you can comment on or make changes to this bug.